k_switch {keras} | R Documentation

## Switches between two operations depending on a scalar value.

### Description

Note that both `then_expression` and `else_expression` should be symbolic tensors of the same shape.

### Usage

    k_switch(condition, then_expression, else_expression)

### Arguments

`condition` | tensor (`int` or `bool`).
`then_expression` | either a tensor, or a function that returns a tensor.
`else_expression` | either a tensor, or a function that returns a tensor.

### Value

The selected tensor.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]